<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\JsonResponse;
use App\Models\NavigationLink;

class NavigationController extends Controller
{
    public function index(): JsonResponse
    {
        $navigation = NavigationLink::orderBy('sort_order', 'asc')->get();

        return response()->json([
            'status' => 'success',
            'data' => $navigation
        ]);
    }
}
